import { Head } from "$fresh/runtime.ts";
import { MainLayout } from "@components/layouts/main.tsx";
import { Card } from "@components/Card.tsx";
import { PageProps } from "$fresh/server.ts";

export default function Home(props: PageProps) {
  return (
    <>
      <Head>
        <title>app</title>
      </Head>
      <MainLayout url={props.url}>
        <div class="flex flex-wrap justify-center items-center gap-4 px-4">
          <Card
            title="🍽️ Recipes"
            image="/placeholder.svg"
            link="/recipes"
          />
          <Card
            title="🍿 Movies"
            image="/placeholder.svg"
            link="/movies"
          />
        </div>
      </MainLayout>
    </>
  );
}
